For the complete documentation index, see llms.txt. This page is also available as Markdown.

Charter

Charter transport

post

Shortcut API to create a chartered transport. Current transport, called "parent transport" will be chartered to a "child transport".

Child transport is created as follow:

  • Shipper is the actual carrier of the parent transport

  • Carrier is the chartered carrier given in the carrier parameter

  • Trucker and plates are not set, but information about it can be given in the instructions parameters

  • Other transport data (deliveries, segments, etc.) are duplicated

  • Child transport starts at the first segment's origin and ends at the last segment's destination

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
instructionsstring Β· max: 1000Optional

Operating instructions. The carrier, the shipper and the creator of the transport have access to those instructions. However, the creator is the only who has the right to edit.

pricenumber Β· float Β· nullableOptionalDeprecated

Full price for the transport

Example: 250
Responses
201

Transport chartered successfully

application/json
child_transportstringOptional

uid of the chartered transport that has been created

Example: 3545c058-392d-11eb-90c5-0242ac140006
post/transports/{uid}/charter/
201

Transport chartered successfully

Last updated

Was this helpful?